use chrono::{DateTime, Utc};
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize)]
pub struct Signal {
    pub username: String,
    pub time: DateTime<Utc>,
}

#[derive(Debug, Serialize, Deserialize)]
pub struct RTCSessionOffer {
    pub username: String,
    pub rtc_session_offer: String,
}
#[derive(Debug, Serialize, Deserialize)]
pub struct RTCSessionAnswer {
    pub username: String,
    pub rtc_session_offer: String,
}
